Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Class DigestInfo

`java.lang.Object
oracle.security.crypto.core.DigestInfo`

All Implemented Interfaces:
  ASN1Object, Streamable

public final class DigestInfo
extends java.lang.Object
implements ASN1Object

The DigestInfo structure of PKCS #1 and CMS.

Constructor Summary
`DigestInfo(AlgorithmIdentifier digestAlgID, byte[] digest)`
`DigestInfo(java.io.InputStream is)`

Method Summary
`boolean` | `equals(AlgorithmIdentifier digestAlgID, byte[] digest)`
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getDigest()`
`AlgorithmIdentifier` | `getDigestAlgID()`
`void` | `input(java.io.InputStream is)` Inputs this object from the specified input stream.
`int` | `length()` Length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Outputs this object to the specified output stream.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigestInfo

    public DigestInfo(AlgorithmIdentifier digestAlgID,
                      byte[] digest)

### DigestInfo

    public DigestInfo(java.io.InputStream is)
               throws java.io.IOException

Method Detail

### getDigestAlgID

    public AlgorithmIdentifier getDigestAlgID()

### getDigest

    public byte[] getDigest()

### equals

    public boolean equals(AlgorithmIdentifier digestAlgID,
                          byte[] digest)

### equals

    public boolean equals(java.lang.Object o)

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Description copied from interface: `Streamable`
  Inputs this object from the specified input stream.
  Specified by:
    `input` in interface `Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Description copied from interface: `Streamable`
  Outputs this object to the specified output stream.
  Specified by:
    `output` in interface `Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Description copied from interface: `Streamable`
  Length of this object's encoding.
  Specified by:
    `length` in interface `Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.